{% extends 'base.html.twig' %}

{% form_theme edit_form _self %}


{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Modifica Docente</h1>
            <fieldset class="ui-grid-a">
                <div class="ui-block-a">
                    {{ form_start(edit_form) }}
                        {{ form_errors(edit_form) }}

                        {{ form_row(edit_form.fiscalCode) }}
                        {{ form_row(edit_form.lastname) }}
                        {{ form_row(edit_form.firstname) }}
                        {{ form_row(edit_form.username) }}
                        {{ form_row(edit_form.email) }}

                        {{ form_row(edit_form.provider) }}
                        {{ form_row(edit_form.additionalProviders) }}


                        {{ form_widget(edit_form.submit, {'attr':{'style' : 'display: none'}}) }}

                    {{ form_end(edit_form) }}
                    <br/>
                </div>
            </fieldset>

            <div class="row sendBtnArea">
                <div class="col-md-4">
                    <label for="{{ edit_form.submit.vars.id }}"
                           class="btn btn-success">{{ edit_form.submit.vars.label }}</label>
                </div>
                <div class="col-md-4 text-sm-center">
                    <a href="{{ path('teacher_list') }}" class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
                <div class="col-md-4 text-sm-right">
                    {#{% if delete_form is defined %}#}
                    {#{{ form(delete_form) }}#}
                    {#{% endif %}#}
                    <a href="{{ path('teacher_delete_form', {'id': entity.id }) }}" class="btn btn-danger">
                        Elimina
                    </a>
                </div>
            </div>
        </div>
    </main>

{% endblock %}
